org.apache.xmpbox.schema

## Class PDFAIdentificationSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.PDFAIdentificationSchema

    public class PDFAIdentificationSchema
    extends XMPSchema

Representation of PDF/A Identification Schema

Author:
  a183132

### Field Summary

Fields
`static String` `AMD`
`static String` `CONFORMANCE`
`static String` `PART`
`static String` `REV`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PDFAIdentificationSchema(XMPMetadata metadata)` Constructor of a PDF/A Identification schema
`PDFAIdentificationSchema(XMPMetadata metadata, String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAmd()` Give the PDF/A Amendment Id (as an String)
`TextType` `getAmdProperty()` Give the property corresponding to the PDF/A Amendment id
`String` `getAmendment()` Give the PDFAAmendmentId (as an String)
`String` `getConformance()` Give the Conformance id
`TextType` `getConformanceProperty()` Give the property corresponding to the PDF/A Conformance id
`Integer` `getPart()` Give the PDFAVersionId (as an integer)
`IntegerType` `getPartProperty()` Give the property corresponding to the PDF/A Version id
`Integer` `getRev()` Give the PDF/A revision (as an integer)
`IntegerType` `getRevProperty()` Give the property corresponding to the PDF/A revision
`void` `setAmd(String value)` Set the PDF/A amendment identifier
`void` `setAmdProperty(TextType amd)` Set the PDF/A amendment identifier
`void` `setConformance(String value)` Set the PDF/A conformance level
`void` `setConformanceProperty(TextType conf)` Set the PDF/A conformance level
`void` `setPart(Integer value)` Set the PDF/A Version identifier (with an int)
`void` `setPartProperty(IntegerType part)` Set the PDF/A Version identifier
`void` `setPartValueWithInt(int value)` Set the PDF/A Version identifier (with an int)
`void` `setPartValueWithString(String value)` Set the PDF/A Version identifier (with string)
`void` `setRev(Integer value)` Set the PDF/A revision identifier (with an int)
`void` `setRevProperty(IntegerType rev)` Set the PDF/A revision identifier
`void` `setRevValueWithInt(int value)` Set the PDF/A revision (with an int)
`void` `setRevValueWithString(String value)` Set the PDF/A revision (with string)

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PART

    public static final String PART

See Also:
  Constant Field Values

#### AMD

    public static final String AMD

See Also:
  Constant Field Values

#### CONFORMANCE

    public static final String CONFORMANCE

See Also:
  Constant Field Values

#### REV

    public static final String REV

See Also:
  Constant Field Values

### Constructor Detail

#### PDFAIdentificationSchema

    public PDFAIdentificationSchema(XMPMetadata metadata)

Constructor of a PDF/A Identification schema

Parameters:
  `metadata` - The metadata to attach this schema

#### PDFAIdentificationSchema

    public PDFAIdentificationSchema(XMPMetadata metadata,
                                    String prefix)

### Method Detail

#### setPartValueWithString

    public void setPartValueWithString(String value)

Set the PDF/A Version identifier (with string)

Parameters:
  `value` - The version Id value to set

#### setPartValueWithInt

    public void setPartValueWithInt(int value)

Set the PDF/A Version identifier (with an int)

Parameters:
  `value` - The version Id value to set

#### setPart

    public void setPart(Integer value)

Set the PDF/A Version identifier (with an int)

Parameters:
  `value` - The version Id property to set

#### setPartProperty

    public void setPartProperty(IntegerType part)

Set the PDF/A Version identifier

Parameters:
  `part` - set the PDF/A Version id property

#### setAmd

    public void setAmd(String value)

Set the PDF/A amendment identifier

Parameters:
  `value` - The amendment identifier value to set

#### setAmdProperty

    public void setAmdProperty(TextType amd)

Set the PDF/A amendment identifier

Parameters:
  `amd` - The amendment identifier property to set

#### setConformance

    public void setConformance(String value)
                        throws BadFieldValueException

Set the PDF/A conformance level

Parameters:
  `value` - The conformance level value to set
Throws:
  `BadFieldValueException` - If conformance value not 'A', 'B', 'U' (PDF/A-2 and PDF/A-3), 'e', 'f' (PDF/A-4)

#### setConformanceProperty

    public void setConformanceProperty(TextType conf)
                                throws BadFieldValueException

Set the PDF/A conformance level

Parameters:
  `conf` - The conformance level property to set
Throws:
  `BadFieldValueException` - If conformance value not 'A', 'B', 'U' (PDF/A-2 and PDF/A-3), 'e', 'f' (PDF/A-4)

#### getPart

    public Integer getPart()

Give the PDFAVersionId (as an integer)

Returns:
  Part value (Integer) or null if it is missing

#### getPartProperty

    public IntegerType getPartProperty()

Give the property corresponding to the PDF/A Version id

Returns:
  Part property

#### getAmendment

    public String getAmendment()

Give the PDFAAmendmentId (as an String)

Returns:
  Amendment value

#### getAmdProperty

    public TextType getAmdProperty()

Give the property corresponding to the PDF/A Amendment id

Returns:
  Amendment property

#### getAmd

    public String getAmd()

Give the PDF/A Amendment Id (as an String)

Returns:
  Amendment Value

#### getConformanceProperty

    public TextType getConformanceProperty()

Give the property corresponding to the PDF/A Conformance id

Returns:
  conformance property

#### getConformance

    public String getConformance()

Give the Conformance id

Returns:
  conformance id value

#### setRevValueWithString

    public void setRevValueWithString(String value)

Set the PDF/A revision (with string)

Parameters:
  `value` - The revision value to set

#### setRevValueWithInt

    public void setRevValueWithInt(int value)

Set the PDF/A revision (with an int)

Parameters:
  `value` - The revision value to set

#### setRev

    public void setRev(Integer value)

Set the PDF/A revision identifier (with an int)

Parameters:
  `value` - The revision property to set

#### setRevProperty

    public void setRevProperty(IntegerType rev)

Set the PDF/A revision identifier

Parameters:
  `rev` - set the PDF/A revision id property

#### getRevProperty

    public IntegerType getRevProperty()

Give the property corresponding to the PDF/A revision

Returns:
  revision property

#### getRev

    public Integer getRev()

Give the PDF/A revision (as an integer)

Returns:
  revision value (Integer) or null if it is missing